/* ======================
   GLOBAL DARK MODE
   ====================== */

body.dark-mode {
    background: #0f1115;
    color: #e5e7eb !important
    
}

/* Containers */
.dark-mode .homepage-container,
.dark-mode .advertise-container,
.dark-mode .news-container,
.dark-mode .faq-container,
.dark-mode .homepage-payment-section,
.dark-mode .homepage-benefits-section,
.dark-mode .homepage-benefit-tabs-top,
.dark-mode .homepage-earn-section,
.dark-mode .homepage-stats-section,
.dark-mode .homepage-stats-container,
.dark-mode .login-container,
.dark-mode .login-card,
.dark-mode .register-container,
.dark-mode .register-card,
.dark-mode .balance-card ,
.dark-mode .main-header,
.dark-mode .dashboard-section,
.dark-mode .sidebar

{
    background: transparent;
    color: white !important;
}

/* Cards */
.dark-mode .homepage-stat-box,
.dark-mode .homepage-earn-card,
.dark-mode .news-article,
.dark-mode .faq-content,
.dark-mode .advertise-card {
    background: #151922;
    border-color: #232838;
    box-shadow: none;
}

/* Navbar */
.dark-mode .enhanced-navbar {
    background: #121622;
    border-bottom: 1px solid #232838;
}
.dark-mode .homepage-stat-label{
    color: white;
}
.dark-mode .enhanced-nav-link {
    color: #e5e7eb !important;
}

.dark-mode .enhanced-nav-link:hover,
.dark-mode .enhanced-nav-link.active {
    background: rgba(255,255,255,0.06);
}

/* Footer */
.dark-mode .site-footer {
    background: linear-gradient(135deg, #0f1115, #121622);
}

/* Inputs */
.dark-mode input,
.dark-mode select,
.dark-mode textarea {
    background: #0f1115;
    color: #e5e7eb;
    border: 1px solid #232838;
}

.dark-mode input::placeholder {
    color: #9ca3af;
}

/* Buttons */
.dark-mode .homepage-btn-secondary {
    background: transparent;
    border-color: #df4e22;
    color: #df4e22;
}

/* Links */
.dark-mode a {
    color: #df4e22;
}

.dark-mode a:hover {
    color: #ff7a4f;
}
